none
BizTalk Server 2010 Prerequisites

    Question

  • Per System Requirements of BizTalk Server 2010, I've 2 question regarding installation of BizTalk Server 2010:
    1- Does Sharepoint Server (2010 or 2007 or Foundation version), a mandatory pre-requisit for BizTalk Server 2010 even if I have nothing to do with Sharepoint Services in any of my interface?
    2- What is the purpose of "SQL Server 2005 Notification Services with Service Pack 2", all my current interfaces in BizTalk Server 2006 which I want to migrate to 2010, are simple enough that it doesn't uses any kind of Notification Services?
    Wednesday, April 27, 2011 3:40 AM

Answers

  • Please refer to "BizTalk Server Feature Dependency Matrix" to know what you need to install based on the requirement of solution:

    http://www.microsoft.com/biztalk/en/us/system-requirements.aspx


    Mark As Answer or Vote As Helpful if My Reply Does, Regards, -Rohit
    Wednesday, April 27, 2011 4:11 AM
    Moderator
  • Hi Muhammed,

    With BizTalk Server 2010 you can either integrate with SharePoint 2010 Foundation or Windows SharePoint Services 3.0, if either of these are not installed on your machine you cannot install or configure SharePoint Adapter. SQL Server 2005 Notifications SP2 are required only if you have requirement for BAM Alerts, if you don't then you can omit his too. If you do then you can look at one of my posts. I advice to look at link Rohit provided on dependency matrix.

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Wednesday, April 27, 2011 6:41 AM
    Moderator

All replies

  • Hi Muhammad,

    SharePoint Foundation/Server is not a mandatory pre-requisite and is required by the "Windows SharePoint Services Adapter Web Services". If you will not install it then you will not be able to configure the SharePoint adapter so if your solution don't require SharePoint Adapter then you need not to install SharePoint Foundation/Server.

    "SQL Server 2005 Notification Services" is required by BAM alerts so if your solution is not using BAM Alerts then you need not to install it.


    Mark As Answer or Vote As Helpful if My Reply Does, Regards, -Rohit
    Wednesday, April 27, 2011 4:09 AM
    Moderator
  • Please refer to "BizTalk Server Feature Dependency Matrix" to know what you need to install based on the requirement of solution:

    http://www.microsoft.com/biztalk/en/us/system-requirements.aspx


    Mark As Answer or Vote As Helpful if My Reply Does, Regards, -Rohit
    Wednesday, April 27, 2011 4:11 AM
    Moderator
  • Hi Muhammed,

    With BizTalk Server 2010 you can either integrate with SharePoint 2010 Foundation or Windows SharePoint Services 3.0, if either of these are not installed on your machine you cannot install or configure SharePoint Adapter. SQL Server 2005 Notifications SP2 are required only if you have requirement for BAM Alerts, if you don't then you can omit his too. If you do then you can look at one of my posts. I advice to look at link Rohit provided on dependency matrix.

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Wednesday, April 27, 2011 6:41 AM
    Moderator